Subject: bug#68028: 29.1; (elisp) `pcase Macro': move `rx' before SEQPAT description

From: Stefan Kangas <[email-masked]>
Date: Thu, 28 Dec 2023 07:43:22 -0800

Mattias Engdegård <[email-masked]> writes:

> I suggest we remove that paragraph because it doesn't actually say
> anything useful at that point; the user can learn how `or` and `and`
> patterns work without knowing that they are SEQPATs. Actually, I'd
> hoist those two patterns and reorder them to keep patterns in a rough
> order of usage: something like
>
>   pred, guard, or, and, let, app, rx
>
> makes more sense -- `pred` and `guard` clearly belong together, `app`
> is less common than `let`.
>
> We could explain SEQPAT in a short sentence somewhere else, either
> near the beginning of the node or further down in the 'Caveats'
> subsection. A simple (and probably flawed) patch attached.
>
> Stefan M probably has a better sense of how to improve the text. (By
> the way, the caveat section says that sequencing patterns use `eq` for
> comparison. Don't they use `eql`?)

Makes sense to me.  Perhaps your patch could be installed first, and
then we can take it from there.